Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing.border
Class TitledBorder

    java.lang.Object
      |
      +--javax.swing.border.AbstractBorder
            |
            +--javax.swing.border.TitledBorder

Direct Known Subclasses:
  BorderUIResource.TitledBorderUIResource

public class TitledBorder
extends AbstractBorder

A class which implements an arbitrary border with the addition of a String title in a specified position and justification.

Warning: Serialized objects of this class will not be compatible with future Swing releases. The current serialization support is appropriate for short term storage or RMI between applications running the same version of Swing. A future release of Swing will provide support for long term persistence.

See Also:
  Serialized Form

Field Summary
`static int` | `ABOVE_BOTTOM` Position the title above the border's bottom line.
`static int` | `ABOVE_TOP` Position the title above the border's top line.
`static int` | `BELOW_BOTTOM` Position the title below the border's bottom line.
`static int` | `BELOW_TOP` Position the title below the border's top line.
`protected Border` | `border`
`static int` | `BOTTOM` Position the title in the middle of the border's bottom line.
`static int` | `CENTER` Position title text in the center of the border line.
`static int` | `DEFAULT_JUSTIFICATION` Use the default justification for the title text.
`static int` | `DEFAULT_POSITION` Use the default vertical orientation for the title text.
`protected static int` | `EDGE_SPACING`
`static int` | `LEFT` Position title text at the left side of the border line.
`static int` | `RIGHT` Position title text at the right side of the border line.
`protected static int` | `TEXT_INSET_H`
`protected static int` | `TEXT_SPACING`
`protected java.lang.String` | `title`
`protected java.awt.Color` | `titleColor`
`protected java.awt.Font` | `titleFont`
`protected int` | `titleJustification`
`protected int` | `titlePosition`
`static int` | `TOP` Position the title in the middle of the border's top line.

Constructor Summary
`TitledBorder(Border border)` Creates a TitledBorder instance with the specified border and an empty title.
`TitledBorder(Border border, java.lang.String title)` Creates a TitledBorder instance with the specified border and title.
`TitledBorder(Border border, java.lang.String title, int titleJustification, int titlePosition)` Creates a TitledBorder instance with the specified border, title, title-justification, and title-position.
`TitledBorder(Border border, java.lang.String title, int titleJustification, int titlePosition, java.awt.Font titleFont)` Creates a TitledBorder instance with the specified border, title, title-justification, title-position, and title-font.
`TitledBorder(Border border, java.lang.String title, int titleJustification, int titlePosition, java.awt.Font titleFont, java.awt.Color titleColor)` Creates a TitledBorder instance with the specified border, title, title-justification, title-position, title-font, and title-color.
`TitledBorder(java.lang.String title)` Creates a TitledBorder instance which uses an etched border.

Method Summary
`Border` | `getBorder()` Returns the border of the titled border.
`java.awt.Insets` | `getBorderInsets(java.awt.Component c)` Returns the insets of the border.
`java.awt.Insets` | `getBorderInsets(java.awt.Component c, java.awt.Insets insets)` Reinitialize the insets parameter with this Border's current Insets.
`protected java.awt.Font` | `getFont(java.awt.Component c)`
`java.awt.Dimension` | `getMinimumSize(java.awt.Component c)` Returns the minimum dimensions this border requires in order to fully display the border and title.
`java.lang.String` | `getTitle()` Returns the title of the titled border.
`java.awt.Color` | `getTitleColor()` Returns the title-color of the titled border.
`java.awt.Font` | `getTitleFont()` Returns the title-font of the titled border.
`int` | `getTitleJustification()` Returns the title-justification of the titled border.
`int` | `getTitlePosition()` Returns the title-position of the titled border.
`boolean` | `isBorderOpaque()` Returns whether or not the border is opaque.
`void` | `paintBorder(java.awt.Component c, java.awt.Graphics g, int x, int y, int width, int height)` Paints the border for the specified component with the specified position and size.
`void` | `setBorder(Border border)` Sets the border of the titled border.
`void` | `setTitle(java.lang.String title)` Sets the title of the titled border.
`void` | `setTitleColor(java.awt.Color titleColor)` Sets the title-color of the titled border.
`void` | `setTitleFont(java.awt.Font titleFont)` Sets the title-font of the titled border.
`void` | `setTitleJustification(int titleJustification)` Sets the title-justification of the titled border.
`void` | `setTitlePosition(int titlePosition)` Sets the title-position of the titled border.

Methods inherited from class javax.swing.border.AbstractBorder
`getInteriorRectangle, getInteriorRectangle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### title

    protected java.lang.String title

### border

    protected Border border

### titlePosition

    protected int titlePosition

### titleJustification

    protected int titleJustification

### titleFont

    protected java.awt.Font titleFont

### titleColor

    protected java.awt.Color titleColor

### DEFAULT_POSITION

    public static final int DEFAULT_POSITION

  Use the default vertical orientation for the title text. (The default value depends on the look and feel.)

### ABOVE_TOP

    public static final int ABOVE_TOP

  Position the title above the border's top line.

### TOP

    public static final int TOP

  Position the title in the middle of the border's top line.

### BELOW_TOP

    public static final int BELOW_TOP

  Position the title below the border's top line.

### ABOVE_BOTTOM

    public static final int ABOVE_BOTTOM

  Position the title above the border's bottom line.

### BOTTOM

    public static final int BOTTOM

  Position the title in the middle of the border's bottom line.

### BELOW_BOTTOM

    public static final int BELOW_BOTTOM

  Position the title below the border's bottom line.

### DEFAULT_JUSTIFICATION

    public static final int DEFAULT_JUSTIFICATION

  Use the default justification for the title text. (The default value depends on the look and feel.)

### LEFT

    public static final int LEFT

  Position title text at the left side of the border line.

### CENTER

    public static final int CENTER

  Position title text in the center of the border line.

### RIGHT

    public static final int RIGHT

  Position title text at the right side of the border line.

### EDGE_SPACING

    protected static final int EDGE_SPACING

### TEXT_SPACING

    protected static final int TEXT_SPACING

### TEXT_INSET_H

    protected static final int TEXT_INSET_H

Constructor Detail

### TitledBorder

    public TitledBorder(java.lang.String title)

  Creates a TitledBorder instance which uses an etched border.
  Parameters:
    `title` - the title the border should display

### TitledBorder

    public TitledBorder(Border border)

  Creates a TitledBorder instance with the specified border and an empty title.
  Parameters:
    `border` - the border

### TitledBorder

    public TitledBorder(Border border,
                        java.lang.String title)

  Creates a TitledBorder instance with the specified border and title.
  Parameters:
    `border` - the border
    `title` - the title the border should display

### TitledBorder

    public TitledBorder(Border border,
                        java.lang.String title,
                        int titleJustification,
                        int titlePosition)

  Creates a TitledBorder instance with the specified border, title, title-justification, and title-position.
  Parameters:
    `border` - the border
    `title` - the title the border should display
    `titleJustification` - the justification for the title
    `titlePosition` - the position for the title

### TitledBorder

    public TitledBorder(Border border,
                        java.lang.String title,
                        int titleJustification,
                        int titlePosition,
                        java.awt.Font titleFont)

  Creates a TitledBorder instance with the specified border, title, title-justification, title-position, and title-font.
  Parameters:
    `border` - the border
    `title` - the title the border should display
    `titleJustification` - the justification for the title
    `titlePosition` - the position for the title
    `titleFont` - the font for rendering the title

### TitledBorder

    public TitledBorder(Border border,
                        java.lang.String title,
                        int titleJustification,
                        int titlePosition,
                        java.awt.Font titleFont,
                        java.awt.Color titleColor)

  Creates a TitledBorder instance with the specified border, title, title-justification, title-position, title-font, and title-color.
  Parameters:
    `border` - the border
    `title` - the title the border should display
    `titleJustification` - the justification for the title
    `titlePosition` - the position for the title
    `titleFont` - the font of the title
    `titleColor` - the color of the title

Method Detail

### paintBorder

    public void paintBorder(java.awt.Component c,
                            java.awt.Graphics g,
                            int x,
                            int y,
                            int width,
                            int height)

  Paints the border for the specified component with the specified position and size.
  Parameters:
    `c` - the component for which this border is being painted
    `g` - the paint graphics
    `x` - the x position of the painted border
    `y` - the y position of the painted border
    `width` - the width of the painted border
    `height` - the height of the painted border
  Overrides:
    paintBorder in class AbstractBorder

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c)

  Returns the insets of the border.
  Parameters:
    `c` - the component for which this border insets value applies
  Overrides:
    getBorderInsets in class AbstractBorder

### getBorderInsets

    public java.awt.Insets getBorderInsets(java.awt.Component c,
                                           java.awt.Insets insets)

  Reinitialize the insets parameter with this Border's current Insets.
  Parameters:
    `c` - the component for which this border insets value applies
    `insets` - the object to be reinitialized
  Overrides:
    getBorderInsets in class AbstractBorder

### isBorderOpaque

    public boolean isBorderOpaque()

  Returns whether or not the border is opaque.
  Overrides:
    isBorderOpaque in class AbstractBorder

### getTitle

    public java.lang.String getTitle()

  Returns the title of the titled border.

### getBorder

    public Border getBorder()

  Returns the border of the titled border.

### getTitlePosition

    public int getTitlePosition()

  Returns the title-position of the titled border.

### getTitleJustification

    public int getTitleJustification()

  Returns the title-justification of the titled border.

### getTitleFont

    public java.awt.Font getTitleFont()

  Returns the title-font of the titled border.

### getTitleColor

    public java.awt.Color getTitleColor()

  Returns the title-color of the titled border.

### setTitle

    public void setTitle(java.lang.String title)

  Sets the title of the titled border. param title the title for the border

### setBorder

    public void setBorder(Border border)

  Sets the border of the titled border.
  Parameters:
    `border` - the border

### setTitlePosition

    public void setTitlePosition(int titlePosition)

  Sets the title-position of the titled border.
  Parameters:
    `titlePosition` - the position for the border

### setTitleJustification

    public void setTitleJustification(int titleJustification)

  Sets the title-justification of the titled border.
  Parameters:
    `titleJustification` - the justification for the border

### setTitleFont

    public void setTitleFont(java.awt.Font titleFont)

  Sets the title-font of the titled border.
  Parameters:
    `titleFont` - the font for the border title

### setTitleColor

    public void setTitleColor(java.awt.Color titleColor)

  Sets the title-color of the titled border.
  Parameters:
    `titleColor` - the color for the border title

### getMinimumSize

    public java.awt.Dimension getMinimumSize(java.awt.Component c)

  Returns the minimum dimensions this border requires in order to fully display the border and title.
  Parameters:
    `c` - the component where this border will be drawn

### getFont

    protected java.awt.Font getFont(java.awt.Component c)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Swing 1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
Java is a trademark or registered trademark of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-1998 Sun Microsystems, Inc. 901 San Antonio Road,
Palo Alto, California, 94303, U.S.A. All Rights Reserved.